//#region libs/shared/common/src/types/scheduled-transactions.types.ts
var e = /* @__PURE__ */ function(e) {
	return e.BEFORE_DEPOSIT = "before_deposit", e.AFTER_DEPOSIT = "after_deposit", e.BEFORE_SCHEDULE_WITHDRAW = "before_schedule_withdraw", e.AFTER_SCHEDULE_WITHDRAW = "after_schedule_withdraw", e;
}({});
//#endregion
export { e as DepositAndWithdrawPhase };
